ogify
API reference

Rendered content extraction

Extract hydrated HTML, visible text, and resolved links after JavaScript has executed in the browser.

Request

POST /v1/extract/content

{
  "url": "https://example.com/docs",
  "selector": "main",
  "include_links": true,
  "wait_until": "domcontentloaded"
}

Fields

FieldTypeRequiredNotes
urlstringYesPublic http/https URL.
selectorstringNoScope extraction to one element.
include_linksbooleanNoReturn up to 200 resolved links.
wait_for_selectorstringNoWait for dynamic content before extraction.
cookiesarrayNoSet up to 50 browser cookies before navigation.
localestringNoSet Accept-Language, for example en-US.
timezonestringNoIANA timezone such as America/New_York.
click_selectorstringNoClick an element before extraction.
scroll_tonumber | bottomNoScroll before reading hydrated content.

Response

{
  "content": {
    "url": "https://example.com/docs",
    "title": "Docs",
    "text": "Rendered visible text...",
    "html": "<article>...</article>",
    "links": [{"text":"API", "url":"https://example.com/api"}]
  }
}